Subject: [SIP] multicast SDP in 200 only

From: Rohan Mahy <[email-masked]>
Date: Tue, 13 Feb 2001 11:12:25 -0800

Hi,

I think we came to consensus that for unicast SDP, you must either have SDP
in the INV/200 or in the 200/ACK.  Reading the conferencing models draft, I
realized that for multicast the spec permits different behavior:

>   Inviting users to join is simple. Any user may invite any other user
>   to join. The SIP INVITE request contains SDP that indicates multicast
>   addresses for each media line. The SDP in the 200 OK response may
>   actually be empty. From Section B.3 of RFC2543:
>        For multicast, receive and send multicast addresses are the
>        same and all parties use the same port numbers to receive
>        media data. If the session description provided by the
>        caller is acceptable to the callee, the callee can choose
>        not to include a session description or MAY echo the
>        description in the response.

so my question is, should it be OK to send no SDP in INVITE, multicast SDP
in 200, and no SDP in ACK?

My proposal is that we deprecate the old behavior, and encourage
implementations which receive a multicast SDP in an INVITE to echo it back
in the 200; and likewise if no SDP was in an INVITE, to echo the multicast
SDP from a 200 in the ACK.

Does this seem reasonable?

thanks,
-rohan

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.